Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           rcssmonitor
Version:        18.0.0
Release:        alt1_4
Summary:        RoboCup 2D Soccer Simulator Monitor

# rcss/ libraries are under LGPLv2+
License:        GPLv2+ and LGPLv2+
URL:            http://sourceforge.net/projects/sserver/
Source0:        http://downloads.sourceforge.net/sserver/%{name}-%{version}.tar.gz
# Source 1 is created by me.
Source1:        %{name}.desktop
Provides:       rcsslogplayer = %{version}-%{release}
Obsoletes:      rcsslogplayer <= 15.1.1-30

BuildRequires:  gcc-c++ ctest cmake qt5-base-devel desktop-file-utils zlib-devel
Source44: import.info

%description
The RoboCup Soccer Simulator Monitor is a viewer for moved 2d vector graphics.
You can use it to watch 2D soccer games running on rcssserver. However, The
architecture of The RoboCup Soccer Simulator Monitor was from the beginning
kept as general and modular as possible and not just hacked to fit the  needs
of the robocup soccer server (rcssserver). So by now The RoboCup Soccer
Simulator Monitor is also used to visualize many other two dimensional system.

You can use UDP/IP communication sockets to send commands to The RoboCup Soccer
Simulator Monitor. A generic communication device is also included. It
understands a very easy description language to build and move 2d objects.

%package        devel
Group: System/Base
Summary:        Header files and libraries for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains the header files and libraries
for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q
sed -i.flagfix "/CMAKE_CXX_FLAGS/d" CMakeLists.txt

%build
%{fedora_v2_cmake}
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

mkdir -p %{buildroot}/%{_datadir}/pixmaps/
cp -p icons/rcss.xpm %{buildroot}/%{_datadir}/pixmaps/

desktop-file-install \
  --dir=%{buildroot}/%{_datadir}/applications %{SOURCE1}

%files
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog NEWS README.md
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%files devel
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 18.0.0-alt1_4
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 18.0.0-alt1_2
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 17.0.0-alt1_3
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 17.0.0-alt1_2
- update to new release by fcimport

* Fri May 06 2022 Igor Vlasenko <viy@altlinux.org> 17.0.0-alt1_1
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 16.0.0-alt4_8
- update to new release by fcimport

* Sat Aug 21 2021 Igor Vlasenko <viy@altlinux.org> 16.0.0-alt4_7
- rebuild with boost

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 16.0.0-alt4_6
- update to new release by fcimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 16.0.0-alt4_5
- rebuild to get rid of unmets

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 16.0.0-alt3_5
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 16.0.0-alt3_3
- update to new release by fcimport

* Wed Nov 04 2020 Cronbuild Service <cronbuild@altlinux.org> 16.0.0-alt2_3
- rebuild to get rid of unmets

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 16.0.0-alt1_3
- update to new release by fcimport

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 16.0.0-alt1_2
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt2_29
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt2_28
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt2_27
- update to new release by fcimport

* Thu Feb 07 2019 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt2_26
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt2_25
- update to new release by fcimport

* Tue Jun 12 2018 Cronbuild Service <cronbuild@altlinux.org> 15.1.1-alt2_24
- rebuild to get rid of unmets

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt1_24
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt1_22
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt1_21
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt1_17
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt1_15
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt1_14
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt1_12
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt1_6
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt1_3
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 15.1.1-alt1_1
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 15.0.0-alt1_11
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 15.0.0-alt1_10
- update to new release by fcimport

* Sat May 04 2013 Igor Vlasenko <viy@altlinux.ru> 15.0.0-alt1_9
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 15.0.0-alt1_8
- initial fc import

